Loading...
Searching...
No Matches
pcl::SampleConsensusModelRegistration< PointT > Class Template Reference
Module sample_consensus

SampleConsensusModelRegistration defines a model for Point-To-Point registration outlier rejection. More...

`#include <pcl/sample_consensus/sac_model_registration.h>`

Inheritance diagram for pcl::SampleConsensusModelRegistration< PointT >:

## Public Types

using | PointCloud = typename SampleConsensusModel< PointT >::PointCloud
using | PointCloudPtr = typename SampleConsensusModel< PointT >::PointCloudPtr
using | PointCloudConstPtr = typename SampleConsensusModel< PointT >::PointCloudConstPtr
using | Ptr = shared_ptr< SampleConsensusModelRegistration< PointT > >
using | ConstPtr = shared_ptr< const SampleConsensusModelRegistration< PointT > >
Public Types inherited from pcl::SampleConsensusModel< PointT >
using | PointCloud = pcl::PointCloud< PointT >
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | PointCloudPtr = typename PointCloud::Ptr
using | SearchPtr = typename pcl::search::Search< PointT >::Ptr
using | Ptr = shared_ptr< SampleConsensusModel< PointT > >
using | ConstPtr = shared_ptr< const SampleConsensusModel< PointT > >

## Public Member Functions

| SampleConsensusModelRegistration (const PointCloudConstPtr &cloud, bool random=false)
| Constructor for base SampleConsensusModelRegistration.
| SampleConsensusModelRegistration (const PointCloudConstPtr &cloud, const Indices &indices, bool random=false)
| Constructor for base SampleConsensusModelRegistration.
| ~SampleConsensusModelRegistration () override=default
| Empty destructor.
void | setInputCloud (const PointCloudConstPtr &cloud) override
| Provide a pointer to the input dataset.
void | setInputTarget (const PointCloudConstPtr &target)
| Set the input point cloud target.
void | setInputTarget (const PointCloudConstPtr &target, const Indices &indices_tgt)
| Set the input point cloud target.
bool | computeModelCoefficients (const Indices &samples, Eigen::VectorXf &model_coefficients) const override
| Compute a 4x4 rigid transformation matrix from the samples given.
void | getDistancesToModel (const Eigen::VectorXf &model_coefficients, std::vector< double > &distances) const override
| Compute all distances from the transformed points to their correspondences.
void | selectWithinDistance (const Eigen::VectorXf &model_coefficients, const double threshold, Indices &inliers) override
| Select all the points which respect the given model coefficients as inliers.
std::size_t | countWithinDistance (const Eigen::VectorXf &model_coefficients, const double threshold) const override
| Count all the points which respect the given model coefficients as inliers.
void | optimizeModelCoefficients (const Indices &inliers, const Eigen::VectorXf &model_coefficients, Eigen::VectorXf &optimized_coefficients) const override
| Recompute the 4x4 transformation using the given inlier set.
void | projectPoints (const Indices &, const Eigen::VectorXf &, PointCloud &, bool=true) const override
| Create a new point cloud with inliers projected onto the model.
bool | doSamplesVerifyModel (const std::set< index_t > &, const Eigen::VectorXf &, const double) const override
| Verify whether a subset of indices verifies a given set of model coefficients.
pcl::SacModel | getModelType () const override
| Return a unique id for this model (SACMODEL_REGISTRATION).
Public Member Functions inherited from pcl::SampleConsensusModel< PointT >
| SampleConsensusModel (const PointCloudConstPtr &cloud, bool random=false)
| Constructor for base SampleConsensusModel.
| SampleConsensusModel (const PointCloudConstPtr &cloud, const Indices &indices, bool random=false)
| Constructor for base SampleConsensusModel.
virtual | ~SampleConsensusModel ()=default
| Destructor for base SampleConsensusModel.
virtual void | getSamples (int &iterations, Indices &samples)
| Get a set of random data samples and return them as point indices.
PointCloudConstPtr | getInputCloud () const
| Get a pointer to the input point cloud dataset.
void | setIndices (const IndicesPtr &indices)
| Provide a pointer to the vector of indices that represents the input data.
void | setIndices (const Indices &indices)
| Provide the vector of indices that represents the input data.
IndicesPtr | getIndices () const
| Get a pointer to the vector of indices used.
const std::string & | getClassName () const
| Get a string representation of the name of this class.
unsigned int | getSampleSize () const
| Return the size of a sample from which the model is computed.
unsigned int | getModelSize () const
| Return the number of coefficients in the model.
void | setRadiusLimits (const double &min_radius, const double &max_radius)
| Set the minimum and maximum allowable radius limits for the model (applicable to models that estimate a radius)
void | getRadiusLimits (double &min_radius, double &max_radius) const
| Get the minimum and maximum allowable radius limits for the model as set by the user.
void | setModelConstraints (std::function< bool(const Eigen::VectorXf &)> function)
| This can be used to impose any kind of constraint on the model, e.g.
void | setSamplesMaxDist (const double &radius, SearchPtr search)
| Set the maximum distance allowed when drawing random samples.
void | getSamplesMaxDist (double &radius) const
| Get maximum distance allowed when drawing random samples.
double | computeVariance (const std::vector< double > &error_sqr_dists) const
| Compute the variance of the errors to the model.
double | computeVariance () const
| Compute the variance of the errors to the model from the internally estimated vector of distances.

## Protected Member Functions

bool | isSampleGood (const Indices &samples) const override
| Check if a sample of indices results in a good sample of points indices.
void | computeSampleDistanceThreshold (const PointCloudConstPtr &cloud)
| Computes an "optimal" sample distance threshold based on the principal directions of the input cloud.
void | computeSampleDistanceThreshold (const PointCloudConstPtr &cloud, const Indices &indices)
| Computes an "optimal" sample distance threshold based on the principal directions of the input cloud.
void | estimateRigidTransformationSVD (const pcl::PointCloud< PointT > &cloud_src, const Indices &indices_src, const pcl::PointCloud< PointT > &cloud_tgt, const Indices &indices_tgt, Eigen::VectorXf &transform) const
| Estimate a rigid transformation between a source and a target point cloud using an SVD closed-form solution of absolute orientation using unit quaternions.
void | computeOriginalIndexMapping ()
| Compute mappings between original indices of the input_/target_ clouds.
Protected Member Functions inherited from pcl::SampleConsensusModel< PointT >
| SampleConsensusModel (bool random=false)
| Empty constructor for base SampleConsensusModel.
void | drawIndexSample (Indices &sample)
| Fills a sample array with random samples from the indices_ vector.
void | drawIndexSampleRadius (Indices &sample)
| Fills a sample array with one random sample from the indices_ vector and other random samples that are closer than samples_radius_.
virtual bool | isModelValid (const Eigen::VectorXf &model_coefficients) const
| Check whether a model is valid given the user constraints.
int | rnd ()
| Boost-based random number generator.

## Protected Attributes

PointCloudConstPtr | target_
| A boost shared pointer to the target point cloud data array.
IndicesPtr | indices_tgt_
| A pointer to the vector of target point indices to use.
std::map< index_t, index_t > | correspondences_
| Given the index in the original point cloud, give the matching original index in the target cloud.
double | sample_dist_thresh_
| Internal distance threshold used for the sample selection step.
Protected Attributes inherited from pcl::SampleConsensusModel< PointT >
std::string | model_name_
| The model name.
PointCloudConstPtr | input_
| A boost shared pointer to the point cloud data array.
IndicesPtr | indices_
| A pointer to the vector of point indices to use.
double | radius_min_
| The minimum and maximum radius limits for the model.
double | radius_max_
double | samples_radius_
| The maximum distance of subsequent samples from the first (radius search)
SearchPtr | samples_radius_search_
| The search object for picking subsequent samples using radius search.
Indices | shuffled_indices_
| Data containing a shuffled version of the indices.
boost::mt19937 | rng_alg_
| Boost-based random number generator algorithm.
std::shared_ptr< boost::uniform_int<> > | rng_dist_
| Boost-based random number generator distribution.
std::shared_ptr< boost::variate_generator< boost::mt19937 &, boost::uniform_int<> > > | rng_gen_
| Boost-based random number generator.
std::vector< double > | error_sqr_dists_
| A vector holding the distances to the computed model.
unsigned int | sample_size_
| The size of a sample from which the model is computed.
unsigned int | model_size_
| The number of coefficients in the model.
std::function< bool(const Eigen::VectorXf &)> | custom_model_constraints_
| A user defined function that takes model coefficients and returns whether the model is acceptable or not.

## Additional Inherited Members

Static Protected Attributes inherited from pcl::SampleConsensusModel< PointT >
static const unsigned int | max_sample_checks_ = 1000
| The maximum number of samples to try until we get a good one.

## Detailed Description

template<typename PointT>
class pcl::SampleConsensusModelRegistration< PointT >

SampleConsensusModelRegistration defines a model for Point-To-Point registration outlier rejection.

Author
  Radu Bogdan Rusu

Definition at line 60 of file sac_model_registration.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT >

using pcl::SampleConsensusModelRegistration< PointT >::ConstPtr = shared_ptr<const SampleConsensusModelRegistration<PointT> >

Definition at line 74 of file sac_model_registration.h.

## PointCloud

template<typename PointT >

using pcl::SampleConsensusModelRegistration< PointT >::PointCloud = typename SampleConsensusModel<PointT>::PointCloud

Definition at line 69 of file sac_model_registration.h.

## PointCloudConstPtr

template<typename PointT >

using pcl::SampleConsensusModelRegistration< PointT >::PointCloudConstPtr = typename SampleConsensusModel<PointT>::PointCloudConstPtr

Definition at line 71 of file sac_model_registration.h.

## PointCloudPtr

template<typename PointT >

using pcl::SampleConsensusModelRegistration< PointT >::PointCloudPtr = typename SampleConsensusModel<PointT>::PointCloudPtr

Definition at line 70 of file sac_model_registration.h.

## Ptr

template<typename PointT >

using pcl::SampleConsensusModelRegistration< PointT >::Ptr = shared_ptr<SampleConsensusModelRegistration<PointT> >

Definition at line 73 of file sac_model_registration.h.

## Constructor & Destructor Documentation

## SampleConsensusModelRegistration() [1/2]

template<typename PointT >

pcl::SampleConsensusModelRegistration< PointT >::SampleConsensusModelRegistration | ( | const PointCloudConstPtr & | cloud,
|  | bool | random = `false`
| ) |  |

inline

Constructor for base SampleConsensusModelRegistration.

Parameters

  [in] | cloud | the input point cloud dataset
  [in] | random | if true set the random seed to the current time, else set to 12345 (default: false)

Definition at line 80 of file sac_model_registration.h.

References pcl::SampleConsensusModel< PointT >::model_name_, pcl::SampleConsensusModel< PointT >::model_size_, pcl::SampleConsensusModel< PointT >::sample_size_, and pcl::SampleConsensusModelRegistration< PointT >::setInputCloud().

## SampleConsensusModelRegistration() [2/2]

template<typename PointT >

pcl::SampleConsensusModelRegistration< PointT >::SampleConsensusModelRegistration | ( | const PointCloudConstPtr & | cloud,
|  | const Indices & | indices,
|  | bool | random = `false`
| ) |  |

inline

Constructor for base SampleConsensusModelRegistration.

Parameters

  [in] | cloud | the input point cloud dataset
  [in] | indices | a vector of point indices to be used from cloud
  [in] | random | if true set the random seed to the current time, else set to 12345 (default: false)

Definition at line 98 of file sac_model_registration.h.

References pcl::SampleConsensusModelRegistration< PointT >::computeOriginalIndexMapping(), pcl::SampleConsensusModelRegistration< PointT >::computeSampleDistanceThreshold(), pcl::SampleConsensusModel< PointT >::model_name_, pcl::SampleConsensusModel< PointT >::model_size_, and pcl::SampleConsensusModel< PointT >::sample_size_.

## ~SampleConsensusModelRegistration()

template<typename PointT >

pcl::SampleConsensusModelRegistration< PointT >::~SampleConsensusModelRegistration | ( |  | ) |

override default

Empty destructor.

## Member Function Documentation

## computeModelCoefficients()

template<typename PointT >

bool pcl::SampleConsensusModelRegistration< PointT >::computeModelCoefficients | ( | const Indices & | samples,
|  | Eigen::VectorXf & | model_coefficients
| ) |  | const

override virtual

Compute a 4x4 rigid transformation matrix from the samples given.

Parameters

  [in] | samples | the indices found as good candidates for creating a valid model
  [out] | model_coefficients | the resultant model coefficients

Implements pcl::SampleConsensusModel< PointT >.

Definition at line 69 of file sac_model_registration.hpp.

## computeOriginalIndexMapping()

template<typename PointT >

void pcl::SampleConsensusModelRegistration< PointT >::computeOriginalIndexMapping | ( |  | ) |

inline protected

Compute mappings between original indices of the input_/target_ clouds.

Definition at line 311 of file sac_model_registration.h.

References pcl::SampleConsensusModelRegistration< PointT >::correspondences_, pcl::SampleConsensusModel< PointT >::indices_, and pcl::SampleConsensusModelRegistration< PointT >::indices_tgt_.

Referenced by pcl::SampleConsensusModelRegistration< PointT >::SampleConsensusModelRegistration(), pcl::SampleConsensusModelRegistration2D< PointT >::SampleConsensusModelRegistration2D(), pcl::SampleConsensusModelRegistration< PointT >::setInputCloud(), pcl::SampleConsensusModelRegistration< PointT >::setInputTarget(), and pcl::SampleConsensusModelRegistration< PointT >::setInputTarget().

## computeSampleDistanceThreshold() [1/2]

template<typename PointT >

void pcl::SampleConsensusModelRegistration< PointT >::computeSampleDistanceThreshold | ( | const PointCloudConstPtr & | cloud | ) |

inline protected

Computes an "optimal" sample distance threshold based on the principal directions of the input cloud.

Parameters

  [in] | cloud | the const boost shared pointer to a PointCloud message

Definition at line 233 of file sac_model_registration.h.

References pcl::computeMeanAndCovarianceMatrix(), pcl::eigen33(), and pcl::SampleConsensusModelRegistration< PointT >::sample_dist_thresh_.

Referenced by pcl::SampleConsensusModelRegistration< PointT >::SampleConsensusModelRegistration(), and pcl::SampleConsensusModelRegistration< PointT >::setInputCloud().

## computeSampleDistanceThreshold() [2/2]

template<typename PointT >

void pcl::SampleConsensusModelRegistration< PointT >::computeSampleDistanceThreshold | ( | const PointCloudConstPtr & | cloud,
|  | const Indices & | indices
| ) |  |

inline protected

Computes an "optimal" sample distance threshold based on the principal directions of the input cloud.

Parameters

  [in] | cloud | the const boost shared pointer to a PointCloud message
  | indices |

Definition at line 265 of file sac_model_registration.h.

References pcl::computeMeanAndCovarianceMatrix(), pcl::eigen33(), and pcl::SampleConsensusModelRegistration< PointT >::sample_dist_thresh_.

## countWithinDistance()

template<typename PointT >

std::size_t pcl::SampleConsensusModelRegistration< PointT >::countWithinDistance | ( | const Eigen::VectorXf & | model_coefficients,
|  | const double | threshold
| ) |  | const

override virtual

Count all the points which respect the given model coefficients as inliers.

Parameters

  [in] | model_coefficients | the coefficients of a model that we need to compute distances to
  [in] | threshold | maximum admissible distance threshold for determining the inliers from the outliers

Returns
  the resultant number of inliers

Implements pcl::SampleConsensusModel< PointT >.

Reimplemented in pcl::SampleConsensusModelRegistration2D< PointT >.

Definition at line 204 of file sac_model_registration.hpp.

## doSamplesVerifyModel()

template<typename PointT >

bool pcl::SampleConsensusModelRegistration< PointT >::doSamplesVerifyModel | ( | const std::set< index_t > & | indices,
|  | const Eigen::VectorXf & | model_coefficients,
|  | const double | threshold
| ) |  | const

inline override virtual

Verify whether a subset of indices verifies a given set of model coefficients.

Pure virtual.

Parameters

  [in] | indices | the data indices that need to be tested against the model
  [in] | model_coefficients | the set of model coefficients
  [in] | threshold | a maximum admissible distance threshold for determining the inliers from the outliers

Implements pcl::SampleConsensusModel< PointT >.

Definition at line 206 of file sac_model_registration.h.

## estimateRigidTransformationSVD()

template<typename PointT >

void pcl::SampleConsensusModelRegistration< PointT >::estimateRigidTransformationSVD | ( | const pcl::PointCloud< PointT > & | cloud_src,
|  | const Indices & | indices_src,
|  | const pcl::PointCloud< PointT > & | cloud_tgt,
|  | const Indices & | indices_tgt,
|  | Eigen::VectorXf & | transform
| ) |  | const

protected

Estimate a rigid transformation between a source and a target point cloud using an SVD closed-form solution of absolute orientation using unit quaternions.

Parameters

  [in] | cloud_src | the source point cloud dataset
  [in] | indices_src | the vector of indices describing the points of interest in cloud_src
  [in] | cloud_tgt | the target point cloud dataset
  [in] | indices_tgt | the vector of indices describing the correspondences of the interest points from indices_src
  [out] | transform | the resultant transformation matrix (as model coefficients)

This method is an implementation of: Horn, B. “Closed-Form Solution of Absolute Orientation Using Unit Quaternions,” JOSA A, Vol. 4, No. 4, 1987

Definition at line 290 of file sac_model_registration.hpp.

References pcl::umeyama().

## getDistancesToModel()

template<typename PointT >

void pcl::SampleConsensusModelRegistration< PointT >::getDistancesToModel | ( | const Eigen::VectorXf & | model_coefficients,
|  | std::vector< double > & | distances
| ) |  | const

override virtual

Compute all distances from the transformed points to their correspondences.

Parameters

  [in] | model_coefficients | the 4x4 transformation matrix
  [out] | distances | the resultant estimated distances

Implements pcl::SampleConsensusModel< PointT >.

Reimplemented in pcl::SampleConsensusModelRegistration2D< PointT >.

Definition at line 101 of file sac_model_registration.hpp.

## getModelType()

template<typename PointT >

pcl::SacModel pcl::SampleConsensusModelRegistration< PointT >::getModelType | ( |  | ) | const

inline override virtual

Return a unique id for this model (SACMODEL_REGISTRATION).

Implements pcl::SampleConsensusModel< PointT >.

Definition at line 215 of file sac_model_registration.h.

References pcl::SACMODEL_REGISTRATION.

## isSampleGood()

template<typename PointT >

bool pcl::SampleConsensusModelRegistration< PointT >::isSampleGood | ( | const Indices & | samples | ) | const

override protected virtual

Check if a sample of indices results in a good sample of points indices.

Parameters

  [in] | samples | the resultant index samples

Implements pcl::SampleConsensusModel< PointT >.

Reimplemented in pcl::SampleConsensusModelRegistration2D< PointT >.

Definition at line 48 of file sac_model_registration.hpp.

## optimizeModelCoefficients()

template<typename PointT >

void pcl::SampleConsensusModelRegistration< PointT >::optimizeModelCoefficients | ( | const Indices & | inliers,
|  | const Eigen::VectorXf & | model_coefficients,
|  | Eigen::VectorXf & | optimized_coefficients
| ) |  | const

override virtual

Recompute the 4x4 transformation using the given inlier set.

Parameters

  [in] | inliers | the data inliers found as supporting the model
  [in] | model_coefficients | the initial guess for the optimization
  [out] | optimized_coefficients | the resultant recomputed transformation

Implements pcl::SampleConsensusModel< PointT >.

Definition at line 253 of file sac_model_registration.hpp.

## projectPoints()

template<typename PointT >

void pcl::SampleConsensusModelRegistration< PointT >::projectPoints | ( | const Indices & | inliers,
|  | const Eigen::VectorXf & | model_coefficients,
|  | PointCloud & | projected_points,
|  | bool | copy_data_fields = `true`
| ) |  | const

inline override virtual

Create a new point cloud with inliers projected onto the model.

Pure virtual.

Parameters

  [in] | inliers | the data inliers that we want to project on the model
  [in] | model_coefficients | the coefficients of a model
  [out] | projected_points | the resultant projected points
  [in] | copy_data_fields | set to true (default) if we want the projected_points cloud to be an exact copy of the input dataset minus the point projections on the plane model

Implements pcl::SampleConsensusModel< PointT >.

Definition at line 199 of file sac_model_registration.h.

## selectWithinDistance()

template<typename PointT >

void pcl::SampleConsensusModelRegistration< PointT >::selectWithinDistance | ( | const Eigen::VectorXf & | model_coefficients,
|  | const double | threshold,
|  | Indices & | inliers
| ) |  |

override virtual

Select all the points which respect the given model coefficients as inliers.

Parameters

  [in] | model_coefficients | the 4x4 transformation matrix
  [in] | threshold | a maximum admissible distance threshold for determining the inliers from the outliers
  [out] | inliers | the resultant model inliers

Implements pcl::SampleConsensusModel< PointT >.

Reimplemented in pcl::SampleConsensusModelRegistration2D< PointT >.

Definition at line 147 of file sac_model_registration.hpp.

## setInputCloud()

template<typename PointT >

void pcl::SampleConsensusModelRegistration< PointT >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

inline override virtual

Provide a pointer to the input dataset.

Parameters

  [in] | cloud | the const boost shared pointer to a PointCloud message

Reimplemented from pcl::SampleConsensusModel< PointT >.

Definition at line 119 of file sac_model_registration.h.

References pcl::SampleConsensusModelRegistration< PointT >::computeOriginalIndexMapping(), pcl::SampleConsensusModelRegistration< PointT >::computeSampleDistanceThreshold(), and pcl::SampleConsensusModel< PointT >::setInputCloud().

Referenced by pcl::SampleConsensusModelRegistration< PointT >::SampleConsensusModelRegistration(), and pcl::SampleConsensusModelRegistration2D< PointT >::SampleConsensusModelRegistration2D().

## setInputTarget() [1/2]

template<typename PointT >

void pcl::SampleConsensusModelRegistration< PointT >::setInputTarget | ( | const PointCloudConstPtr & | target | ) |

inline

Set the input point cloud target.

Parameters

  [in] | target | the input point cloud target

Definition at line 130 of file sac_model_registration.h.

References pcl::SampleConsensusModelRegistration< PointT >::computeOriginalIndexMapping(), pcl::SampleConsensusModelRegistration< PointT >::indices_tgt_, and pcl::SampleConsensusModelRegistration< PointT >::target_.

Referenced by pcl::registration::CorrespondenceRejectorSampleConsensus2D< PointT >::getRemainingCorrespondences().

## setInputTarget() [2/2]

template<typename PointT >

void pcl::SampleConsensusModelRegistration< PointT >::setInputTarget | ( | const PointCloudConstPtr & | target,
|  | const Indices & | indices_tgt
| ) |  |

inline

Set the input point cloud target.

Parameters

  [in] | target | the input point cloud target
  [in] | indices_tgt | a vector of point indices to be used from target

Definition at line 145 of file sac_model_registration.h.

References pcl::SampleConsensusModelRegistration< PointT >::computeOriginalIndexMapping(), pcl::SampleConsensusModelRegistration< PointT >::indices_tgt_, and pcl::SampleConsensusModelRegistration< PointT >::target_.

## Member Data Documentation

## correspondences_

template<typename PointT >

std::map<index_t, index_t> pcl::SampleConsensusModelRegistration< PointT >::correspondences_

protected

Given the index in the original point cloud, give the matching original index in the target cloud.

Definition at line 346 of file sac_model_registration.h.

Referenced by pcl::SampleConsensusModelRegistration< PointT >::computeOriginalIndexMapping().

## indices_tgt_

template<typename PointT >

IndicesPtr pcl::SampleConsensusModelRegistration< PointT >::indices_tgt_

protected

A pointer to the vector of target point indices to use.

Definition at line 343 of file sac_model_registration.h.

Referenced by pcl::SampleConsensusModelRegistration< PointT >::computeOriginalIndexMapping(), pcl::SampleConsensusModelRegistration< PointT >::setInputTarget(), and pcl::SampleConsensusModelRegistration< PointT >::setInputTarget().

## sample_dist_thresh_

template<typename PointT >

double pcl::SampleConsensusModelRegistration< PointT >::sample_dist_thresh_

protected

Internal distance threshold used for the sample selection step.

Definition at line 349 of file sac_model_registration.h.

Referenced by pcl::SampleConsensusModelRegistration< PointT >::computeSampleDistanceThreshold(), and pcl::SampleConsensusModelRegistration< PointT >::computeSampleDistanceThreshold().

## target_

template<typename PointT >

PointCloudConstPtr pcl::SampleConsensusModelRegistration< PointT >::target_

protected

A boost shared pointer to the target point cloud data array.

Definition at line 340 of file sac_model_registration.h.

Referenced by pcl::SampleConsensusModelRegistration< PointT >::setInputTarget(), and pcl::SampleConsensusModelRegistration< PointT >::setInputTarget().

The documentation for this class was generated from the following files:

- pcl/sample_consensus/sac_model_registration.h
- pcl/sample_consensus/impl/sac_model_registration.hpp